QuantLib: BlackScholesLattice< T > Class Template Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
BlackScholesLattice< T > Class Template Reference
Lattice methods

Simple binomial lattice approximating the Black-Scholes model. More...

`#include <ql/methods/lattices/bsmlattice.hpp>`

Inheritance diagram for BlackScholesLattice< T >:
[legend]

## Public Member Functions
| BlackScholesLattice (const boost::shared_ptr< T > &tree, Rate riskFreeRate, Time end, Size steps)
Rate | riskFreeRate () const
Time | dt () const
Size | size (Size i) const
DiscountFactor | discount (Size, Size) const
void | stepback (Size i, const Array &values, Array &newValues) const
Real | underlying (Size i, Size index) const
Size | descendant (Size i, Size index, Size branch) const
Real | probability (Size i, Size index, Size branch) const
Public Member Functions inherited from TreeLattice1D< BlackScholesLattice< T > >
| TreeLattice1D (const TimeGrid &timeGrid, Size n)
Disposable< Array > | grid (Time t) const
Real | underlying (Size i, Size index) const
Public Member Functions inherited from TreeLattice< BlackScholesLattice< T > >
| TreeLattice (const TimeGrid &timeGrid, Size n)
const Array & | statePrices (Size i) const
void | stepback (Size i, const Array &values, Array &newValues) const
void | initialize (DiscretizedAsset &, Time t) const
| initialize an asset at the given time.
void | rollback (DiscretizedAsset &, Time to) const
void | partialRollback (DiscretizedAsset &, Time to) const
Real | presentValue (DiscretizedAsset &) const
| Computes the present value of an asset using Arrow-Debrew prices.
Public Member Functions inherited from Lattice
| Lattice (const TimeGrid &timeGrid)
const TimeGrid & | timeGrid () const

## Protected Attributes
boost::shared_ptr< T > | tree_
Rate | riskFreeRate_
Time | dt_
DiscountFactor | discount_
Real | pd_
Real | pu_
Protected Attributes inherited from TreeLattice< BlackScholesLattice< T > >
std::vector< Array > | statePrices_
Protected Attributes inherited from Lattice
TimeGrid | t_

## Additional Inherited Members
Protected Member Functions inherited from TreeLattice< BlackScholesLattice< T > >
void | computeStatePrices (Size until) const
Protected Member Functions inherited from CuriouslyRecurringTemplate< BlackScholesLattice< T > >
BlackScholesLattice< T > & | impl ()
const BlackScholesLattice< T > & | impl () const

## Detailed Description

### template<class T>
class QuantLib::BlackScholesLattice< T >

Simple binomial lattice approximating the Black-Scholes model.